Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ghasher
Version:        1.2.1
Release:        alt2_33
Summary:        GUI hasher for GTK+ 2
License:        BSD
URL:            http://asgaard.homelinux.org/code/ghasher/
Source0:        http://asgaard.homelinux.org/code/ghasher/ghasher-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libssl-devel desktop-file-utils libglade-devel
Patch0:         %{name}-format-security.patch
Patch1:         %{name}-openssl-1.1.0.patch
Source44: import.info

%description
ghasher can easily show the MD5 sum (or md2, md4, sha1, sha, ripemd160, dss1)
of a file. Motivation for this utility was that users shouldn't need to open a
command line for checking the MD5 sum of files they download.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%make_build

%install
#make_install
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 0644 hash.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/hash.xpm
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=MD5 Sum Utility
Comment=Calculate the md5 sum of a file
Exec=ghasher %%F
Terminal=false
Type=Application
Icon=hash
Categories=Utility;GTK;Application;
EOF
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{name}.desktop

%files
%doc AUTHORS NEWS README TODO
%doc --no-dereference LICENSE
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Sat Oct 23 2021 Igor Vlasenko <viy@altlinux.org> 1.2.1-alt2_33
- update

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.1-alt2_31
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt2_30
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_30
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_29
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_28
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_27
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_20
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_19
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_18
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_17
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_16
- update to new release by fcimport

* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_15
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_14
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_13
- initial fc import

